local FantasyDeco = ...

--------------------------------
--| Register Material Assets |--
--------------------------------
FantasyDeco:registerAssetId("models/flowers.fbx/Materials/foliage", "FOLIAGE_MATERIAL")
FantasyDeco:registerAssetId("models/flowers.fbx/Materials/butterfly", "BUTTERFLY_MATERIAL")
FantasyDeco:registerAssetId("models/flowers.fbx/Materials/leaves", "TREE_LEAVES")
FantasyDeco:registerAssetId("models/flowers.fbx/Materials/leaves2", "TREE_LEAVES2")
FantasyDeco:registerAssetId("models/grass_clearing.fbx/Materials/blank", "BLANK_MATERIAL")
FantasyDeco:registerAssetId("models/splendor.fbx/Materials/blank", "BLANK_SPLENDOR_MATERIAL")
FantasyDeco:registerAssetId("models/core.fbx/Materials/blank1", "BLANK_CORE_MATERIAL")
FantasyDeco:registerAssetId("models/lantern.fbx/Materials/blank", "BLANK_BOX_MATERIAL")
FantasyDeco:registerAssetId("models/bush.fbx/Materials/bush", "BUSH_LEAVES")
FantasyDeco:registerAssetId("models/weapons.fbx/Materials/scroll", "SCROLL_MATERIAL")
FantasyDeco:registerAssetId("models/fire.png", "FIRE_TEXTURE")
FantasyDeco:registerAssetId("models/fire-green.png", "FIRE_GREEN_TEXTURE")
FantasyDeco:registerAssetId("models/smoke.png", "SMOKE_TEXTURE")
FantasyDeco:registerAssetId("models/spark.png", "SPARK_TEXTURE")
FantasyDeco:registerAssetId("models/candle.png", "CANDLE_TEXTURE")

--------------------------
--| Register Materials |--
--------------------------
FantasyDeco:register({
	DataType = "MATERIAL",
	Id = "FIRE_MATERIAL",
	AlbedoTexture = "FIRE_TEXTURE"
})
FantasyDeco:register({
	DataType = "MATERIAL",
	Id = "FIRE_GREEN_MATERIAL",
	AlbedoTexture = "FIRE_GREEN_TEXTURE"
})
FantasyDeco:register({
	DataType = "MATERIAL",
	Id = "SMOKE_MATERIAL",
	AlbedoTexture = "SMOKE_TEXTURE"
})
FantasyDeco:register({
	DataType = "MATERIAL",
	Id = "SPARK_MATERIAL",
	AlbedoTexture = "SPARK_TEXTURE"
})
FantasyDeco:register({
	DataType = "MATERIAL",
	Id = "CANDLE_MATERIAL",
	AlbedoTexture = "CANDLE_TEXTURE"
})

--------------------------
--| Material Overrides |--
--------------------------
FantasyDeco:override({
    Id = "FOLIAGE_MATERIAL",
	HasAlphaTest = true,
	BackFaceVisible = true
})
FantasyDeco:override({
    Id = "BUTTERFLY_MATERIAL",
	HasAlphaTest = true,
	BackFaceVisible = true
})
FantasyDeco:override({
    Id = "TREE_LEAVES",
	HasAlphaTest = true,
	BackFaceVisible = true
})
FantasyDeco:override({
    Id = "TREE_LEAVES2",
	HasAlphaTest = true,
	BackFaceVisible = true
})
FantasyDeco:override({
    Id = "BLANK_MATERIAL",
	HasAlphaTest = true
})
FantasyDeco:override({
    Id = "BLANK_SPLENDOR_MATERIAL",
	HasAlphaTest = true
})
FantasyDeco:override({
    Id = "BLANK_BOX_MATERIAL",
	HasAlphaTest = true
})
FantasyDeco:override({
    Id = "BLANK_CORE_MATERIAL",
	HasAlphaTest = true
})
FantasyDeco:override({
    Id = "BUSH_LEAVES",
	HasAlphaTest = true,
	BackFaceVisible = true
})
FantasyDeco:override({
    Id = "SCROLL_MATERIAL",
	HasAlphaTest = true
})